Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboBoxEditor.UIResource

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicComboBoxEditor
            |
            +--javax.swing.plaf.basic.BasicComboBoxEditor.UIResource

public static class BasicComboBoxEditor.UIResource
extends BasicComboBoxEditor
implements UIResource

A subclass of BasicComboBoxEditor that implements UIResource. BasicComboBoxEditor doesn't implement UIResource directly so that applications can safely override the cellRenderer property with BasicListCellRenderer subclasses.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Inner classes inherited from class javax.swing.plaf.basic.BasicComboBoxEditor
`BasicComboBoxEditor.UIResource`

Fields inherited from class javax.swing.plaf.basic.BasicComboBoxEditor
`editor`

Constructor Summary
`BasicComboBoxEditor.UIResource()`

Methods inherited from class javax.swing.plaf.basic.BasicComboBoxEditor
`addActionListener, focusGained, focusLost, getEditorComponent, getItem, removeActionListener, selectAll, setItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboBoxEditor.UIResource

    public BasicComboBoxEditor.UIResource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.